| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# imesh/sprite3d.h File Reference

3D keyframe animated sprite mesh object More...

`#include "csutil/scf.h"`

Go to the source code of this file.

## Classes
struct | iSprite3DFactoryState
| This interface describes the API for the 3D sprite factory mesh object. More...
struct | iSprite3DState
| This interface describes the API for the 3D sprite mesh object. More...
struct | iSpriteAction
| An action frameset for 3D sprite animation. More...
struct | iSpriteFrame
| A frame for 3D sprite animation. More...
struct | iSpriteSocket
| A socket for specifying where sprites can plug into other sprites. More...
## Defines
#define | CS_SPR_LIGHT_GLOBAL 0
| Use the global value for determining which lighting level is used by the sprite.
#define | CS_SPR_LIGHT_LOCAL 2
| Use the lighting quality value local to the sprite for determining which lighting level is used by the sprite.
#define | CS_SPR_LIGHT_TEMPLATE 1
| Use the sprites template lighting quality value for determining which lighting level is used by the sprite.
#define | CS_SPR_LOD_GLOBAL 0
| Use the global value for determining if LOD is used by the sprite, and what level it should be used at.
#define | CS_SPR_LOD_LOCAL 2
| Use the LOD value local to the sprite.
#define | CS_SPR_LOD_TEMPLATE 1
| Use the sprites template lod value.
## Enumerations
enum |
| Macros for the csSprite3D lighting levels. More...

## Detailed Description

3D keyframe animated sprite mesh object

Definition in file sprite3d.h.